【杂闲话】当工作需要接触旧版Debian时(GNU Debian6 squeeze)

由于apt-get参考存储库太过陈旧而无法使用。

首先,假设是从虚拟机启动,我想切换到SSH并从控制台使用。
然而,由于从liveDVD安装,所以没有安装SSH,
我们从编辑/etc/apt/sources.list开始!

请按照下面的步骤添加存储库。
这样一来,无法使用的apt-get将恢复可用。

deb http://archive.debian.org/debian/ squeeze main
deb-src http://archive.debian.org/debian/ squeeze main

我也会告诉你参考过的网址。

<在已停止支持的Debian Squeeze(6.0)上使apt-get正常工作>
https://qiita.com/ryo511/items/e6878293832d6d60fc4c
※非常感谢作者,我看起来可以继续进行验证了。

只需按上述步骤,在更新了代码库后使用apt-get安装SSH,然后启动SSH服务即可!

apt-get install openssh-server
/etc/init.d/ssh start

顺便说一下,我不知道这篇文章到底有多少需求…